<?php
//include "clase.conexion.php";
class clsPlanilla extends clsConexion{
	public $varTitulo 	= "GENERAR ARCHIVO PLAME";
	public $varMyTabla  = "_srh_planilla";
	public $varMyID  	= "id_planilla";
	function FormuBusqueda() {
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"430", "clase"=>"FormTitulo", "titulo"=>$this->varTitulo,
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST", "onsubmit"=>"return false;"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$this->varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Codigo :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
										 	 "campo" =>array("tipo"=>"texto", "id"=>"cod", "name"=>"cod",
										 	 "alinear"=>"center", "ancho"=>"70")),								   
									   array("titulo"=>"Descripci&oacute;n :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo" =>array("tipo"=>"texto", "id"=>"nam", "name"=>"nam", "valor"=>$_POST["nam"], "ancho"=>"306")),									   
								   	   ),
						"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"100", "texto"=>"Buscar",
											 "clase"=>"boton_buscar", "click"=>"javascript:xBuscarJS()"),
									   array("tipo"=>"button", "id"=>"bexp", "name"=>"bexp", "ancho"=>"100", "texto"=>"Exportar",
											 "clase"=>"boton_exportar", "click"=>"javascript:xExportarJS()")
									   )
						);
		return $this->setTablaForm($varTabla);
		}
 	function GridDatos($varForm  = NULL, 
					   $varField = NULL, 
					   $varOrder = NULL
					   ) {
		$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>"")?"'".$varForm["cod"]."'":"NULL";
		$varFie = (isset($varField) && $varField<>'')? "'$varField'":"'CPLA'";
		$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"'DESC'";		
		$sql = "call spQuery_Planilla($varCod, '$varForm[nam]', NULL, '1', $varFie, $varOrd)";
		
		$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"550", "sql_cab"=>$sql,	"pages"=>20,
					    "conte"=>array(array("titulo"=>"CPLA",     	"ancho"=>"40" , "alinear"=>"center"), 
									   array("titulo"=>"PLANILLA",	"ancho"=>"350", "fijo"=>"SI", "funcion"=>array("contar")),
									   array("titulo"=>"CTIP",     	"ancho"=>"40" , "alinear"=>"center"), 
									   array("titulo"=>"TIPO",  	"ancho"=>"150", "fijo"=>"SI"),
									   array("titulo"=>"CPER",     	"ancho"=>"40" , "alinear"=>"center"), 
									   array("titulo"=>"PERIODO",  	"ancho"=>"150", "fijo"=>"SI"),
									   array("titulo"=>"CPEI",     	"ancho"=>"40" , "alinear"=>"center"), 
									   array("titulo"=>"PERIODICIDAD",  "ancho"=>"150", "fijo"=>"SI"),
									   array("titulo"=>"INICIO",    "ancho"=>"40" , "alinear"=>"center"), 
									   array("titulo"=>"CIERRE",    "ancho"=>"40" , "alinear"=>"center"), 
									   array("titulo"=>"DIAS",    	"ancho"=>"40" , "alinear"=>"center"), 
									   array("titulo"=>"ESTADO",    "ancho"=>"40" , "alinear"=>"center"), 
									   array("titulo"=>"FCREADO",  	"ancho"=>"100","oculto"=>"SI"),
									   array("titulo"=>"FUPDATE",  	"ancho"=>"100","oculto"=>"SI"),
									   array("titulo"=>"UCREADO",  	"ancho"=>"50", "oculto"=>"SI"),
									   array("titulo"=>"UUPDATE",  	"ancho"=>"50", "oculto"=>"SI")
									   ), 
						"boton"=>array(array("tipo"=>"img", "id"=>"bbus", "name"=>"bbus", "img"=>"../images/16x16/file_extension_txt.png", 
											 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>IMPRIMIR BOLETAS DE PAGO</b> DE<br><b>"),
															 array("valor"=>0, "tipo"=>"INDEX"),
															 array("valor"=>" - "),
															 array("valor"=>1, "tipo"=>"INDEX"),
															 array("valor"=>"</b>")
															 ),
											 "click"=>array("funcion"=>"xFormuPlanillaJS",
															"param"=>array(array("valor"=>0,  "tipo"=>"INDEX")
																		  )
															)
											 
											)
										)
							);
		return $this->SetGridTabla2($varTabla);
		}
	
	function GridPlanilla($varForm  = NULL, 
					   	  $varField = NULL, 
					   	  $varOrder = NULL
					   	  ) {
		$varPla = (isset($varForm["cod"]) && $varForm["cod"]<>"")?"'".$varForm["cod"]."'":"NULL";
		$varEmp = (isset($varForm["emp"]) && $varForm["emp"]<>"Ninguno")?$varForm["emp"]:"NULL";
		$varAge = (isset($varForm["age"]) && $varForm["age"]<>"Ninguno")?$varForm["age"]:"NULL";
		$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
		$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
		$sql = "CALL spQuery_Planilla_Procesada($varPla, $varEmp, $varAge, $varFie, $varOrd);";
		
		$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"550", "sql_cab"=>$sql,	"pages"=>20, "orderfun"=>"xBuscarPlanillaJS",
					    "conte"=>array(array("titulo"=>"CEMP",     	"ancho"=>"40" , "alinear"=>"center", "oculto"=>"SI"), 
									   array("titulo"=>"EMPRESA",	"ancho"=>"350", "fijo"=>"SI", "oculto"=>"SI"),
									   array("titulo"=>"CAGE",     	"ancho"=>"40" , "alinear"=>"center", "oculto"=>"SI"), 
									   array("titulo"=>"AGENCIA",  	"ancho"=>"150", "fijo"=>"SI"),
									   array("titulo"=>"CTRA",     	"ancho"=>"40" , "alinear"=>"center", "tipodat"=>"texto"), 
									   array("titulo"=>"TRABAJADOR","ancho"=>"150", "fijo"=>"SI", "funcion"=>array("contar")),
									   array("titulo"=>"CBAN",     	"ancho"=>"40" , "alinear"=>"center", "oculto"=>"SI"), 
									   array("titulo"=>"BANCO",  	"ancho"=>"150", "fijo"=>"SI", "oculto"=>"SI"),
									   array("titulo"=>"DIAS",    "ancho"=>"40" , "alinear"=>"center"), 
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   array("ancho"=>"60","alinear"=>"right", "funcion"=>array("autosuma")),
									   ), 
						"boton"=>array(array("tipo"=>"img", "id"=>"bbus", "name"=>"bbus", "img"=>"../images/16x16/printer.png", 
											 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>IMPRIMIR BOLETA DE PAGO</b> DE<br>"),
															 array("valor"=>"<b>Empresa : </b>"),
															 array("valor"=>0, "tipo"=>"INDEX"),
															 array("valor"=>" - "),
															 array("valor"=>1, "tipo"=>"INDEX"),
															 array("valor"=>"<br><b>Agencia : </b>"),
															 array("valor"=>2, "tipo"=>"INDEX"),
															 array("valor"=>" - "),
															 array("valor"=>3, "tipo"=>"INDEX"),
															 array("valor"=>"<br><b>Trabajador : </b>"),
															 array("valor"=>4, "tipo"=>"INDEX"),
															 array("valor"=>" - "),
															 array("valor"=>5, "tipo"=>"INDEX"),
															 ),
											 "click"=>array("funcion"=>"xImprimirBoletaTraJS",
															"param"=>array(array("valor"=>"document.getElementById('cod').value",  "tipo"=>"NUM"),
																		   array("valor"=>0,  "tipo"=>"INDEX"),
																		   array("valor"=>2,  "tipo"=>"INDEX"),
																		   array("valor"=>4,  "tipo"=>"INDEX")
																		  )
															)
											 
											)
										)
							);
		return $this->SetGridTabla2($varTabla);
		}
				
	function FormuPlanilla($varCod=NULL) {	
		$SubTit =  $this->varTitulo." => IMPRIMIR PLANILLA FIJA";
		$varLock = "SI";
		$varClass = "inputDisable";
		$sql = "call spQuery_Planilla_Cabecera($varCod);";
		$this->AbrirConexion();
		$rs = $this->Query($sql);
		$this->CerrarConexion();
		$Fila = $this->FetchArray($rs);
		$sqlemp = "call spQuery_Lista_Empresa($_SESSION[_CUSE], NULL, NULL);";
		$sqlage = "call spQuery_Lista_Agencia($_SESSION[_CUSE], '$Fila[id_empresa]',NULL,NULL);";
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"600", "clase"=>"FormTitulo", "titulo"=>$SubTit, 
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$this->varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$varOpt)
									  ),
						"conte"=>array(array("titulo"=>"Planilla :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"90",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"cod", "name"=>"cod", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["CPLA"], "alinear"=>"center", "locked"=>"SI", 
																					 "ancho"=>"40"),
																			   array("tipo"=>"texto", "id"=>"nom", "name"=>"nom", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["PLANILLA"], "locked"=>"SI", "ancho"=>"441")))
											 ),
									   array("titulo"=>"Tipo Planilla :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"tip", "name"=>"tip", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["CTIP"], "alinear"=>"center", "locked"=>"SI", 
																					 "ancho"=>"40"),
																			   array("tipo"=>"texto", "id"=>"tnom", "name"=>"tnom", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["TIPO"], "locked"=>"SI", "ancho"=>"150"),
																			   array("tipo"=>"simple", "valor"=>"Periodicidad : ", "clase_in"=>"FormCampo1", 
																			   		 "ancho"=>"80"),
																			   array("tipo"=>"texto", "id"=>"pcod", "name"=>"pcod", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["CPER"], "alinear"=>"center", "locked"=>"SI", 
																					 "ancho"=>"40"),
																			   array("tipo"=>"texto", "id"=>"pnom", "name"=>"pnom", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["PERIODICIDAD"], "locked"=>"SI", "ancho"=>"150")
																					 ))
											 ),
									   array("titulo"=>"Periodo Pago :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"tcod", "name"=>"tcod", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["CPEP"], "alinear"=>"center", "locked"=>"SI", 
																					 "ancho"=>"40"),
																			   array("tipo"=>"texto", "id"=>"tnom", "name"=>"tnom", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["PERPAGO"], "locked"=>"SI", "ancho"=>"150"),
																			   array("tipo"=>"simple", "valor"=>"Periodo Afp : ", "clase_in"=>"FormCampo1", 
																			   		 "ancho"=>"80"),
																			   array("tipo"=>"texto", "id"=>"tcod", "name"=>"tcod", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["CPEA"], "alinear"=>"center", "locked"=>"SI", 
																					 "ancho"=>"40"),
																			   array("tipo"=>"texto", "id"=>"tnom", "name"=>"tnom", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["PERAFP"], "locked"=>"SI", "ancho"=>"150")	 
																					 ))
											 ),
									   array("titulo"=>"Fecha :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"tnom", "name"=>"tnom", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["DIAS"], "alinear"=>"center", "locked"=>"SI", 
																					 "ancho"=>"40"),
																			   array("tipo"=>"texto", "id"=>"tcod", "name"=>"tcod", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["FINI"], "alinear"=>"center", "locked"=>"SI", 
																					 "ancho"=>"120"),
																			   array("tipo"=>"texto", "id"=>"tnom", "name"=>"tnom", "clase"=>"inputDisable",
											 										 "valor"=>$Fila["FFIN"], "alinear"=>"center", "locked"=>"SI", 
																					 "ancho"=>"120"),
																			   ))
											 ),
									   array("titulo"=>"Empresa :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"select", "id"=>"emp", "name"=>"emp", 
																					 "valor"=>$Fila["id_empresa"], "sql"=>$sqlemp, 
																					 "titulo"=>"--[[SELECCIONAR]]--", "ancho"=>"194",
																					 "reload"=>"xajax_comboAgencia(this.value, 'divAge','age','194')"),
																			   array("tipo"=>"simple", "valor"=>"Agencia : ", "clase_in"=>"FormCampo1", 
																			   		 "ancho"=>"80"),
																			   array("tipo"=>"select", "id"=>"age", "name"=>"age", "valor"=>$Fila["id_area"], 
																			   		 "sql"=>$sqlage, "titulo"=>"--[[SELECCIONAR]]--", "ancho"=>"194", 
																					 "div"=>"divAge", "reload"=>"javascrip:xGridTrabajadorJS()")	 
																			   ))
											 ),
									   ),
						"boton"=>array(array("tipo"=>"button", "id"=>"bcon", "name"=>"bcon", "ancho"=>"100", "texto"=>"Consultar",
											 "clase"=>"boton_buscar", "click"=>"javascript:xBuscarPlanillaJS()"),
									   array("tipo"=>"button", "id"=>"bexp", "name"=>"bexp", "ancho"=>"100", "texto"=>"Exportar",
											 "clase"=>"boton_exportar", "click"=>"javascript:xExportarPlanillaJS()"),
									   array("tipo"=>"button", "id"=>"bimp", "name"=>"bimp", "ancho"=>"100", "texto"=>"Imprimir", 
										   	 "clase"=>"boton_imprimir", "click"=>"javascript:xImprimirBoletaJS()"),
									   array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"100",
											 "clase"=>"boton_cancelar", "texto"=>"Regresar", "click"=>"javascrip:xajax_xRegresar()"),
									)
						);
		return $this->setTablaForm($varTabla);	
		}
	
	function ImprimirBoleta($varPla="", $varEmp="", $varAge="", $varTra="")  {
		$varPla = ($varPla<>"")?$varPla:"NULL";
		$varEmp = ($varEmp<>"")?$varEmp:"NULL";
		$varAge = ($varAge<>"")?$varAge:"NULL";
		$varTra = ($varTra<>"")?$varTra:"NULL";
		$sqlcab = "call spQuery_Boleta_Pago_Cabecera($varPla, $varEmp, $varAge, $varTra);";
		$this->AbrirConexion();
		$rscab = $this->Query($sqlcab);
		$this->CerrarConexion();
		$varIng = 0;
		$varDes = 0;
		$varApo = 0;
		while($filacab = $this->FetchArray($rscab)) {
			$varIng+=(!is_null($filacab["BASICO"]))?$filacab["BASICO"]:0;
			$varIng+=(!is_null($filacab["ASIGFAM"]))?$filacab["ASIGFAM"]:0;
			$varIng+=(!is_null($filacab["COMISION"]))?$filacab["COMISION"]:0;
			$varIng+=(!is_null($filacab["CONLAB"]))?$filacab["CONLAB"]:0;
			$varBol ="<table style=\"width:100%;padding:0;border-collapse:collapse;\" align=\"center\">";			
			$varBol.="<tr>";
			$varBol.="<td>";
			/*Cabecera Boleta*/
			$varBol.="<table style=\"width: 100%;border-collapse:collapse;\" cellspacing=\"0\" cellpadding=\"0\">";
			$varBol.="<tr class=\"titu_cab\">";
			$varBol.="<td colspan=\"7\" align=\"center\">BOLETA DE PAGO</td>";
			$varBol.="</tr>";
			$varBol.='<tr class="titu_inf">';
			$varBol.='<td colspan="7" height="3" align="center" valign="middle"></td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td width="10%" nowrap class="titu_sup"><b>Empresa</b></td>';
			$varBol.='<td width="1%" nowrap>:</td>';
			$varBol.='<td  colspan="5">'.$filacab["EMPRESA"].'</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td width="10%" nowrap class="titu_sup"><b>Ruc</b></td>';
			$varBol.='<td width="1%" nowrap>:</td>';
			$varBol.='<td width="45%">'.$filacab["RUC"].'</td>';
			$varBol.='<td width="8%" nowrap></td>';
			$varBol.='<td width="10%" nowrap class="titu_sup"><b>Periodo Pago</b></td>';
			$varBol.='<td width="1%" nowrap>:</td>';
			$varBol.='<td width="25%" align="right" nowrap>'.$filacab["PERIODO"].'</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup"><b>Direcci&oacute;n</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td nowrap>'.substr($filacab["DIRECCION"],0,40).'</td>';
			$varBol.='<td nowrap></td>';
			$varBol.='<td nowrap class="titu_sup"><b>Regimen Laboral</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td align="right" nowrap>'.$filacab["REGEMP"].'</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="titu_inf">';
			$varBol.='<td colspan="7" height="3" align="center" valign="middle"></td>';
			$varBol.='</tr>';
			$varBol.='<tr>';
			$varBol.='<td colspan="7" height="3" align="center" valign="middle"></td>';
			$varBol.='</tr>';
			$varBol.='<tr class="titu_tabla">';
			$varBol.='<td colspan="7" align="center">DATOS DEL TRABAJADOR</td>';	
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup"><b>Codigo</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td colspan="5">'.$filacab["CTRA"].'</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup"><b>Nombre</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td colspan="5">'.$filacab["TRABAJADOR"].'</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup"><b>Documento</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td nowrap>'.$filacab["DOCIDE"].'</td>';
			$varBol.='<td nowrap></td>';
			$varBol.='<td nowrap class="titu_sup"><b>Fecha Ingreso</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td align="right" nowrap>'.$filacab["FING"].'</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup"><b>Cargo</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td nowrap>'.$filacab["CARGO"].'</td>';
			$varBol.='<td nowrap></td>';
			$varBol.='<td nowrap class="titu_sup"><b>Fecha Cese</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td align="right" nowrap>'.$filacab["FSAL"].'</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup"><b>Tipo Trab.</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td nowrap>'.$filacab["TIPO"].'</td>';
			$varBol.='<td nowrap></td>';
			$varBol.='<td nowrap class="titu_sup"><b>Nro. CUSPP</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td align="right" nowrap>'.$filacab["CUSPP"].'</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup"><b>Sist. Pensi&oacute;n</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td nowrap>'.$filacab["REGIMEN"].'</td>';
			$varBol.='<td nowrap></td>';
			$varBol.='<td nowrap class="titu_sup"><b>Dias</b></td>';
			$varBol.='<td nowrap>:</td>';
			$varBol.='<td align="right" nowrap>'.$filacab["DIAS"].'</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="titu_inf">';
			$varBol.='<td colspan="7" height="3" align="center" valign="middle"></td>';
			$varBol.='</tr>';
			$varBol.='<tr>';
			$varBol.='<td colspan="7" height="3" align="center" valign="middle"></td>';
			$varBol.='</tr>';
			$varBol.="</table>";
			$varBol.="</td>";
			$varBol.="</tr>";
			
			$varBol.="<tr>";
			$varBol.="<td>";
			/*Detalle Boleta*/
			$varBol.="<table style=\"width: 100%;border-collapse:collapse;\" cellspacing=\"0\" cellpadding=\"0\">";
			$varBol.='<tr class="titu_sup">';
			$varBol.='<td width="64%"></td>';
			$varBol.='<td width="12%" align="right">Ingreso</td>';
			$varBol.='<td width="12%" align="right">Egresos</td>';
			$varBol.='<td width="12%" align="right">Aportes</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="titu_tabla">';
			$varBol.='<td colspan="4">REMUNERACIONES</td>';	
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup">Sueldo Basico</td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["BASICO"],"2",".",",").'</td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup">Asignaci&oacute;n Familiar</td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["ASIGFAM"],"2",".",",").'</td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup">Comisiones</td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["COMISION"],"2",".",",").'</td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup">Condici&oacute;n Laboral</td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["CONLAB"],"2",".",",").'</td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='</tr>';
			$sqlin = "call spQuery_Boleta_Pago_Detalle($varPla, $varEmp, ".$filacab["CTRA"].", 'I');";
			$this->AbrirConexion();
			$rsin = $this->Query($sqlin);
			$this->CerrarConexion();
			while($filain = $this->FetchArray($rsin)) {
				$varBol.='<tr class="cont_tabla">';			
				$varBol.='<td nowrap class="titu_sup">'.ucwords(strtolower($filain["CONCEPTO"])).'</td>';
				$varBol.='<td align="right" nowrap>'.number_format($filain["MONTO"],"2",".",",").'</td>';
				$varBol.='<td align="right" nowrap></td>';
				$varBol.='<td align="right" nowrap></td>';
				$varBol.='</tr>';
				}
			$varBol.='</tr>';
			$varBol.='<tr class="titu_tabla">';
			$varBol.='<td colspan="4">DESCUENTOS AL TRABAJADOR</td>';	
			$varBol.='</tr>';
			$sqlde = "call spQuery_Boleta_Pago_Detalle($varPla, $varEmp, ".$filacab["CTRA"].", 'D');";
			$this->AbrirConexion();
			$rsde = $this->Query($sqlde);
			$this->CerrarConexion();
			while($filade = $this->FetchArray($rsde)) {
				$varBol.='<tr class="cont_tabla">';			
				$varBol.='<td nowrap class="titu_sup">'.ucwords(strtolower($filade["CONCEPTO"])).'</td>';
				$varBol.='<td align="right" nowrap></td>';
				$varBol.='<td align="right" nowrap>'.number_format($filade["MONTO"],"2",".",",").'</td>';				
				$varBol.='<td align="right" nowrap></td>';
				$varBol.='</tr>';
				}
			$varBol.='<tr class="titu_tabla">';
			$varBol.='<td colspan="4">APORTES DEL TRABAJADOR</td>';	
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup">AFP</td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["AFP"],"2",".",",").'</td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup">SNP</td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["ONP"],"2",".",",").'</td>';			
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='</tr>';
			$varBol.='<tr class="titu_tabla">';
			$varBol.='<td colspan="4">APORTES DEL EMPLEADOR</td>';	
			$varBol.='</tr>';
			$varBol.='<tr class="cont_tabla">';			
			$varBol.='<td nowrap class="titu_sup">EsSalud 9%</td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["ESSALUD"],"2",".",",").'</td>';
			$varBol.='</tr>';
			$varBol.='<tr class="titu_tabla">';
			$varBol.='<td>Totales</td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["INGRESO"],"2",".",",").'</td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["EGRESO"],"2",".",",").'</td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["ESSALUD"],"2",".",",").'</td>';
			$varBol.='</tr>';
			
			$varBol.='<tr class="titu_inf">';
			$varBol.='<td colspan="4" height="5" align="center" valign="middle"></td>';
			$varBol.='</tr>';
			$varBol.='<tr>';
			$varBol.='<td colspan="4" height="10" align="center" valign="middle"></td>';
			$varBol.='</tr>';
			$varBol.='<tr class="titu_tabla">';
			$varBol.='<td>Neto a Pagar</td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='<td align="right" nowrap></td>';
			$varBol.='<td align="right" nowrap>'.number_format($filacab["TOTAL"],"2",".",",").'</td>';
			$varBol.='</tr>';
			$varBol.='<tr>';
			$varBol.='<td colspan="4" height="5" align="center" valign="middle"></td>';
			$varBol.='</tr>';
			$varBol.='<tr class="titu_inf">';
			$varBol.='<td colspan="4" height="5" align="center" valign="middle"></td>';
			$varBol.='</tr>';
			$varBol.="</table>";
			$varBol.="</td>";
			$varBol.="</tr>";
			$varBol.="<tr>";
			$varBol.="<td>";
			/*Detalle Boleta*/
			$varBol.="<table style=\"width: 100%;border-collapse:collapse;\" cellspacing=\"0\" cellpadding=\"0\">";
			$varBol.='<tr class="titu_sup">';
			$varBol.='<td height="60" width="10%"></td>';
			$varBol.='<td width="30%"></td>';
			$varBol.='<td width="20%"></td>';
			$varBol.='<td width="30%"></td>';
			$varBol.='<td width="10%"></td>';
			$varBol.='</tr>';
			$varBol.='<tr>';
			$varBol.='<td height="5"></td>';
			$varBol.='<td align="center"><hr></td>';
			$varBol.='<td></td>';
			$varBol.='<td align="center"><hr></td>';
			$varBol.='<td></td>';
			$varBol.='</tr>';
			$varBol.='<tr class="titu_sup">';
			$varBol.='<td></td>';
			$varBol.='<td align="center">Firma Empleador</td>';
			$varBol.='<td></td>';
			$varBol.='<td align="center">Firma Trabajador</td>';
			$varBol.='<td></td>';
			$varBol.='</tr>';
			
			$varBol.='<tr class="cont_sistema" height="30">';
			$varBol.='<td></td>';
			$varBol.='<td align="center"></td>';
			$varBol.='<td></td>';
			$varBol.='<td align="center"></td>';
			$varBol.='<td align="right" valign="bottom">'.$_SESSION["_CABR"].'</td>';
			$varBol.='</tr>';
			
			$varBol.="</table>";			
			$varBol.="</td>";
			$varBol.="</tr>";
			$varBol.="</table>";
			
			$html.='<div id="container">';
			$html.='<table style="width:98%;height=95%;padding:0;margin-top:10px;margin-bottom:10px;border-collapse:collapse;" align="center">';
			$html.='<tr>';
			$html.='<td width="48%">';
			$html.=$varBol;
			$html.='</td>';
			$html.='<td width="4%">';
			$html.='</td>';
			$html.='<td width="48%">';
			$html.=$varBol;
			$html.='</td>';
			$html.='</tr>';					
			$html.='</table>';
			$html.='</div>';
			}
		return $html;
		}
	}
	
?>